/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ItemwiseStrategyBasedIndicator } from "./ItemwiseStrategyBasedIndicator";
import { WeightedCloseIndicatorStrategy } from "./WeightedCloseIndicatorStrategy";
import { markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let WeightedCloseIndicator = /*@__PURE__*/ (() => {
    class WeightedCloseIndicator extends ItemwiseStrategyBasedIndicator {
        bk() {
            return new WeightedCloseIndicator();
        }
        get_acr() {
            return new WeightedCloseIndicatorStrategy();
        }
        get acr() {
            return this.get_acr();
        }
        get_aci() {
            return WeightedCloseIndicator.$;
        }
        get aci() {
            return this.get_aci();
        }
    }
    WeightedCloseIndicator.$t = markType(WeightedCloseIndicator, 'WeightedCloseIndicator', ItemwiseStrategyBasedIndicator.$);
    return WeightedCloseIndicator;
})();
